Index: src/atk/Relation.d
===================================================================
--- src/atk/Relation.d	(revision 797)
+++ src/atk/Relation.d	(working copy)
@@ -173,7 +173,7 @@
 			targetsArray[i] = targets[i].getObjectAtkStruct();
 		}
 		
-		auto p = atk_relation_new(targetsArray.ptr, targets.length, relationship);
+		auto p = atk_relation_new(targetsArray.ptr, cast(gint) targets.length, relationship);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by atk_relation_new(targetsArray.ptr, targets.length, relationship)");
Index: src/atk/StateSet.d
===================================================================
--- src/atk/StateSet.d	(revision 797)
+++ src/atk/StateSet.d	(working copy)
@@ -158,7 +158,7 @@
 	public void addStates(AtkStateType[] types)
 	{
 		// void atk_state_set_add_states (AtkStateSet *set,  AtkStateType *types,  gint n_types);
-		atk_state_set_add_states(atkStateSet, types.ptr, types.length);
+		atk_state_set_add_states(atkStateSet, types.ptr, cast(gint) types.length);
 	}
 	
 	/**
@@ -192,7 +192,7 @@
 	public int containsStates(AtkStateType[] types)
 	{
 		// gboolean atk_state_set_contains_states (AtkStateSet *set,  AtkStateType *types,  gint n_types);
-		return atk_state_set_contains_states(atkStateSet, types.ptr, types.length);
+		return atk_state_set_contains_states(atkStateSet, types.ptr, cast(gint) types.length);
 	}
 	
 	/**
Index: src/gdkpixbuf/PixbufLoader.d
===================================================================
--- src/gdkpixbuf/PixbufLoader.d	(revision 797)
+++ src/gdkpixbuf/PixbufLoader.d	(working copy)
@@ -379,7 +379,7 @@
 		// gboolean gdk_pixbuf_loader_write (GdkPixbufLoader *loader,  const guchar *buf,  gsize count,  GError **error);
 		GError* err = null;
 		
-		auto p = gdk_pixbuf_loader_write(gdkPixbufLoader, buf.ptr, buf.length, &err);
+		auto p = gdk_pixbuf_loader_write(gdkPixbufLoader, buf.ptr, cast(gint) buf.length, &err);
 		
 		if (err !is null)
 		{
Index: src/gdkpixbuf/Pixdata.d
===================================================================
--- src/gdkpixbuf/Pixdata.d	(revision 797)
+++ src/gdkpixbuf/Pixdata.d	(working copy)
@@ -193,7 +193,7 @@
 		// gboolean gdk_pixdata_deserialize (GdkPixdata *pixdata,  guint stream_length,  const guint8 *stream,  GError **error);
 		GError* err = null;
 		
-		auto p = gdk_pixdata_deserialize(gdkPixdata, stream.length, stream.ptr, &err);
+		auto p = gdk_pixdata_deserialize(gdkPixdata, cast(gint) stream.length, stream.ptr, &err);
 		
 		if (err !is null)
 		{
Index: src/pango/PgLayout.d
===================================================================
--- src/pango/PgLayout.d	(revision 797)
+++ src/pango/PgLayout.d	(working copy)
@@ -145,7 +145,7 @@
 	public void setText(string text)
 	{
 		// void pango_layout_set_text (PangoLayout *layout,  const char *text,  int length);
-		pango_layout_set_text(pangoLayout, Str.toStringz(text), text.length);
+		pango_layout_set_text(pangoLayout, Str.toStringz(text), cast(gint) text.length);
 	}
 	
 	
Index: src/pango/PgCoverage.d
===================================================================
--- src/pango/PgCoverage.d	(revision 797)
+++ src/pango/PgCoverage.d	(working copy)
@@ -222,7 +222,7 @@
 	public static PgCoverage fromBytes(char[] bytes)
 	{
 		// PangoCoverage * pango_coverage_from_bytes (guchar *bytes,  int n_bytes);
-		auto p = pango_coverage_from_bytes(bytes.ptr, bytes.length);
+		auto p = pango_coverage_from_bytes(bytes.ptr, cast(gint) bytes.length);
 		if(p is null)
 		{
 			return null;
Index: src/gdk/Device.d
===================================================================
--- src/gdk/Device.d	(revision 797)
+++ src/gdk/Device.d	(working copy)
@@ -296,7 +296,7 @@
 	public static void freeHistory(GdkTimeCoord*[] events)
 	{
 		// void gdk_device_free_history (GdkTimeCoord **events,  gint n_events);
-		gdk_device_free_history(events.ptr, events.length);
+		gdk_device_free_history(events.ptr, cast(gint) events.length);
 	}
 	
 	/**
Index: src/gdk/RgbCmap.d
===================================================================
--- src/gdk/RgbCmap.d	(revision 797)
+++ src/gdk/RgbCmap.d	(working copy)
@@ -227,7 +227,7 @@
 	public this (uint[] colors)
 	{
 		// GdkRgbCmap * gdk_rgb_cmap_new (guint32 *colors,  gint n_colors);
-		auto p = gdk_rgb_cmap_new(colors.ptr, colors.length);
+		auto p = gdk_rgb_cmap_new(colors.ptr, cast(gint) colors.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by gdk_rgb_cmap_new(colors.ptr, colors.length)");
Index: src/gdk/Colormap.d
===================================================================
--- src/gdk/Colormap.d	(revision 797)
+++ src/gdk/Colormap.d	(working copy)
@@ -246,7 +246,7 @@
 	public int allocColors(GdkColor[] colors, int writeable, int bestMatch, int[] success)
 	{
 		// gint gdk_colormap_alloc_colors (GdkColormap *colormap,  GdkColor *colors,  gint n_colors,  gboolean writeable,  gboolean best_match,  gboolean *success);
-		return gdk_colormap_alloc_colors(gdkColormap, colors.ptr, colors.length, writeable, bestMatch, success.ptr);
+		return gdk_colormap_alloc_colors(gdkColormap, colors.ptr, cast(gint) colors.length, writeable, bestMatch, success.ptr);
 	}
 	
 	/**
@@ -276,7 +276,7 @@
 	public void freeColors(GdkColor[] colors)
 	{
 		// void gdk_colormap_free_colors (GdkColormap *colormap,  const GdkColor *colors,  gint n_colors);
-		gdk_colormap_free_colors(gdkColormap, colors.ptr, colors.length);
+		gdk_colormap_free_colors(gdkColormap, colors.ptr, cast(gint) colors.length);
 	}
 	
 	/**
@@ -342,7 +342,7 @@
 	public void colorsStore(GdkColor[] colors)
 	{
 		// void gdk_colors_store (GdkColormap *colormap,  GdkColor *colors,  gint ncolors);
-		gdk_colors_store(gdkColormap, colors.ptr, colors.length);
+		gdk_colors_store(gdkColormap, colors.ptr, cast(gint) colors.length);
 	}
 	
 	/**
@@ -362,7 +362,7 @@
 	public int colorsAlloc(int contiguous, uint[] planes, uint[] pixels)
 	{
 		// gint gdk_colors_alloc (GdkColormap *colormap,  gboolean contiguous,  gulong *planes,  gint nplanes,  gulong *pixels,  gint npixels);
-		return gdk_colors_alloc(gdkColormap, contiguous, planes.ptr, planes.length, pixels.ptr, pixels.length);
+		return gdk_colors_alloc(gdkColormap, contiguous, planes.ptr, cast(gint) planes.length, pixels.ptr, cast(gint) pixels.length);
 	}
 	
 	/**
@@ -377,6 +377,6 @@
 	public void colorsFree(uint[] pixels, uint planes)
 	{
 		// void gdk_colors_free (GdkColormap *colormap,  gulong *pixels,  gint npixels,  gulong planes);
-		gdk_colors_free(gdkColormap, pixels.ptr, pixels.length, planes);
+		gdk_colors_free(gdkColormap, pixels.ptr, cast(gint) pixels.length, planes);
 	}
 }
Index: src/gdk/Pixbuf.d
===================================================================
--- src/gdk/Pixbuf.d	(revision 797)
+++ src/gdk/Pixbuf.d	(working copy)
@@ -732,7 +732,7 @@
 		// GdkPixbuf* gdk_pixbuf_new_from_inline (gint data_length,  const guint8 *data,  gboolean copy_pixels,  GError **error);
 		GError* err = null;
 		
-		auto p = gdk_pixbuf_new_from_inline(data.length, data.ptr, copyPixels, &err);
+		auto p = gdk_pixbuf_new_from_inline(cast(gint) data.length, data.ptr, copyPixels, &err);
 		
 		if (err !is null)
 		{
Index: src/gdk/Display.d
===================================================================
--- src/gdk/Display.d	(revision 797)
+++ src/gdk/Display.d	(working copy)
@@ -674,7 +674,7 @@
 	public void storeClipboard(Window clipboardWindow, uint time, GdkAtom[] targets)
 	{
 		// void gdk_display_store_clipboard (GdkDisplay *display,  GdkWindow *clipboard_window,  guint32 time_,  const GdkAtom *targets,  gint n_targets);
-		gdk_display_store_clipboard(gdkDisplay, (clipboardWindow is null) ? null : clipboardWindow.getWindowStruct(), time, targets.ptr, targets.length);
+		gdk_display_store_clipboard(gdkDisplay, (clipboardWindow is null) ? null : clipboardWindow.getWindowStruct(), time, targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
Index: src/gdk/Font.d
===================================================================
--- src/gdk/Font.d	(revision 797)
+++ src/gdk/Font.d	(working copy)
@@ -517,7 +517,7 @@
 	public void textExtentsWc(GdkWChar[] text, out int lbearing, out int rbearing, out int width, out int ascent, out int descent)
 	{
 		// void gdk_text_extents_wc (GdkFont *font,  const GdkWChar *text,  gint text_length,  gint *lbearing,  gint *rbearing,  gint *width,  gint *ascent,  gint *descent);
-		gdk_text_extents_wc(gdkFont, text.ptr, text.length, &lbearing, &rbearing, &width, &ascent, &descent);
+		gdk_text_extents_wc(gdkFont, text.ptr, cast(gint) text.length, &lbearing, &rbearing, &width, &ascent, &descent);
 	}
 	
 	/**
@@ -563,7 +563,7 @@
 	public int textWidthWc(GdkWChar[] text)
 	{
 		// gint gdk_text_width_wc (GdkFont *font,  const GdkWChar *text,  gint text_length);
-		return gdk_text_width_wc(gdkFont, text.ptr, text.length);
+		return gdk_text_width_wc(gdkFont, text.ptr, cast(gint) text.length);
 	}
 	
 	/**
Index: src/gdk/Drawable.d
===================================================================
--- src/gdk/Drawable.d	(revision 797)
+++ src/gdk/Drawable.d	(working copy)
@@ -421,7 +421,7 @@
 	public void drawPoints(GC gc, GdkPoint[] points)
 	{
 		// void gdk_draw_points (GdkDrawable *drawable,  GdkGC *gc,  const GdkPoint *points,  gint n_points);
-		gdk_draw_points(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), points.ptr, points.length);
+		gdk_draw_points(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), points.ptr, cast(gint) points.length);
 	}
 	
 	/**
@@ -452,7 +452,7 @@
 	public void drawLines(GC gc, GdkPoint[] points)
 	{
 		// void gdk_draw_lines (GdkDrawable *drawable,  GdkGC *gc,  const GdkPoint *points,  gint n_points);
-		gdk_draw_lines(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), points.ptr, points.length);
+		gdk_draw_lines(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), points.ptr, cast(gint) points.length);
 	}
 	
 	/**
@@ -498,7 +498,7 @@
 	public void drawSegments(GC gc, GdkSegment[] segs)
 	{
 		// void gdk_draw_segments (GdkDrawable *drawable,  GdkGC *gc,  const GdkSegment *segs,  gint n_segs);
-		gdk_draw_segments(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), segs.ptr, segs.length);
+		gdk_draw_segments(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), segs.ptr, cast(gint) segs.length);
 	}
 	
 	/**
@@ -560,7 +560,7 @@
 	public void drawPolygon(GC gc, int filled, GdkPoint[] points)
 	{
 		// void gdk_draw_polygon (GdkDrawable *drawable,  GdkGC *gc,  gboolean filled,  const GdkPoint *points,  gint n_points);
-		gdk_draw_polygon(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), filled, points.ptr, points.length);
+		gdk_draw_polygon(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), filled, points.ptr, cast(gint) points.length);
 	}
 	
 	/**
@@ -577,7 +577,7 @@
 	public void drawTrapezoids(GC gc, GdkTrapezoid[] trapezoids)
 	{
 		// void gdk_draw_trapezoids (GdkDrawable *drawable,  GdkGC *gc,  const GdkTrapezoid *trapezoids,  gint n_trapezoids);
-		gdk_draw_trapezoids(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), trapezoids.ptr, trapezoids.length);
+		gdk_draw_trapezoids(gdkDrawable, (gc is null) ? null : gc.getGCStruct(), trapezoids.ptr, cast(gint) trapezoids.length);
 	}
 	
 	/**
@@ -759,7 +759,7 @@
 	public void drawTextWc(Font font, GC gc, int x, int y, GdkWChar[] text)
 	{
 		// void gdk_draw_text_wc (GdkDrawable *drawable,  GdkFont *font,  GdkGC *gc,  gint x,  gint y,  const GdkWChar *text,  gint text_length);
-		gdk_draw_text_wc(gdkDrawable, (font is null) ? null : font.getFontStruct(), (gc is null) ? null : gc.getGCStruct(), x, y, text.ptr, text.length);
+		gdk_draw_text_wc(gdkDrawable, (font is null) ? null : font.getFontStruct(), (gc is null) ? null : gc.getGCStruct(), x, y, text.ptr, cast(gint) text.length);
 	}
 	
 	/**
Index: src/gdk/Region.d
===================================================================
--- src/gdk/Region.d	(revision 797)
+++ src/gdk/Region.d	(working copy)
@@ -141,7 +141,7 @@
 	public static Region polygon(GdkPoint[] points, GdkFillRule fillRule)
 	{
 		// GdkRegion * gdk_region_polygon (const GdkPoint *points,  gint n_points,  GdkFillRule fill_rule);
-		auto p = gdk_region_polygon(points.ptr, points.length, fillRule);
+		auto p = gdk_region_polygon(points.ptr, cast(gint) points.length, fillRule);
 		if(p is null)
 		{
 			return null;
@@ -377,6 +377,6 @@
 	public void spansIntersectForeach(GdkSpan[] spans, int sorted, GdkSpanFunc funct, void* data)
 	{
 		// void gdk_region_spans_intersect_foreach (GdkRegion *region,  const GdkSpan *spans,  int n_spans,  gboolean sorted,  GdkSpanFunc function,  gpointer data);
-		gdk_region_spans_intersect_foreach(gdkRegion, spans.ptr, spans.length, sorted, funct, data);
+		gdk_region_spans_intersect_foreach(gdkRegion, spans.ptr, cast(gint) spans.length, sorted, funct, data);
 	}
 }
Index: src/gtk/Selections.d
===================================================================
--- src/gtk/Selections.d	(revision 797)
+++ src/gtk/Selections.d	(working copy)
@@ -155,7 +155,7 @@
 	public static void addTargets(Widget widget, GdkAtom selection, GtkTargetEntry[] targets)
 	{
 		// void gtk_selection_add_targets (GtkWidget *widget,  GdkAtom selection,  const GtkTargetEntry *targets,  guint ntargets);
-		gtk_selection_add_targets((widget is null) ? null : widget.getWidgetStruct(), selection, targets.ptr, targets.length);
+		gtk_selection_add_targets((widget is null) ? null : widget.getWidgetStruct(), selection, targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
@@ -201,7 +201,7 @@
 	public static void dataSet(GtkSelectionData* selectionData, GdkAtom type, int format, char[] data)
 	{
 		// void gtk_selection_data_set (GtkSelectionData *selection_data,  GdkAtom type,  gint format,  const guchar *data,  gint length);
-		gtk_selection_data_set(selectionData, type, format, data.ptr, data.length);
+		gtk_selection_data_set(selectionData, type, format, data.ptr, cast(gint) data.length);
 	}
 	
 	/**
Index: src/gtk/IconView.d
===================================================================
--- src/gtk/IconView.d	(revision 797)
+++ src/gtk/IconView.d	(working copy)
@@ -1183,7 +1183,7 @@
 	public void enableModelDragSource(GdkModifierType startButtonMask, GtkTargetEntry[] targets, GdkDragAction actions)
 	{
 		// void gtk_icon_view_enable_model_drag_source  (GtkIconView *icon_view,  GdkModifierType start_button_mask,  const GtkTargetEntry *targets,  gint n_targets,  GdkDragAction actions);
-		gtk_icon_view_enable_model_drag_source(gtkIconView, startButtonMask, targets.ptr, targets.length, actions);
+		gtk_icon_view_enable_model_drag_source(gtkIconView, startButtonMask, targets.ptr, cast(gint) targets.length, actions);
 	}
 	
 	/**
@@ -1198,7 +1198,7 @@
 	public void enableModelDragDest(GtkTargetEntry[] targets, GdkDragAction actions)
 	{
 		// void gtk_icon_view_enable_model_drag_dest  (GtkIconView *icon_view,  const GtkTargetEntry *targets,  gint n_targets,  GdkDragAction actions);
-		gtk_icon_view_enable_model_drag_dest(gtkIconView, targets.ptr, targets.length, actions);
+		gtk_icon_view_enable_model_drag_dest(gtkIconView, targets.ptr, cast(gint) targets.length, actions);
 	}
 	
 	/**
Index: src/gtk/IMContextSimple.d
===================================================================
--- src/gtk/IMContextSimple.d	(revision 797)
+++ src/gtk/IMContextSimple.d	(working copy)
@@ -143,6 +143,6 @@
 	public void addTable(ushort[] data, int maxSeqLen)
 	{
 		// void gtk_im_context_simple_add_table (GtkIMContextSimple *context_simple,  guint16 *data,  gint max_seq_len,  gint n_seqs);
-		gtk_im_context_simple_add_table(gtkIMContextSimple, data.ptr, maxSeqLen, data.length);
+		gtk_im_context_simple_add_table(gtkIMContextSimple, data.ptr, maxSeqLen, cast(gint) data.length);
 	}
 }
Index: src/gtk/Clipboard.d
===================================================================
--- src/gtk/Clipboard.d	(revision 797)
+++ src/gtk/Clipboard.d	(working copy)
@@ -307,7 +307,7 @@
 	public int setWithData(GtkTargetEntry[] targets, GtkClipboardGetFunc getFunc, GtkClipboardClearFunc clearFunc, void* userData)
 	{
 		// gboolean gtk_clipboard_set_with_data (GtkClipboard *clipboard,  const GtkTargetEntry *targets,  guint n_targets,  GtkClipboardGetFunc get_func,  GtkClipboardClearFunc clear_func,  gpointer user_data);
-		return gtk_clipboard_set_with_data(gtkClipboard, targets.ptr, targets.length, getFunc, clearFunc, userData);
+		return gtk_clipboard_set_with_data(gtkClipboard, targets.ptr, cast(gint) targets.length, getFunc, clearFunc, userData);
 	}
 	
 	/**
@@ -330,7 +330,7 @@
 	public int setWithOwner(GtkTargetEntry[] targets, GtkClipboardGetFunc getFunc, GtkClipboardClearFunc clearFunc, ObjectG owner)
 	{
 		// gboolean gtk_clipboard_set_with_owner (GtkClipboard *clipboard,  const GtkTargetEntry *targets,  guint n_targets,  GtkClipboardGetFunc get_func,  GtkClipboardClearFunc clear_func,  GObject *owner);
-		return gtk_clipboard_set_with_owner(gtkClipboard, targets.ptr, targets.length, getFunc, clearFunc, (owner is null) ? null : owner.getObjectGStruct());
+		return gtk_clipboard_set_with_owner(gtkClipboard, targets.ptr, cast(gint) targets.length, getFunc, clearFunc, (owner is null) ? null : owner.getObjectGStruct());
 	}
 	
 	/**
@@ -722,7 +722,7 @@
 	public void setCanStore(GtkTargetEntry[] targets)
 	{
 		// void gtk_clipboard_set_can_store (GtkClipboard *clipboard,  const GtkTargetEntry *targets,  gint n_targets);
-		gtk_clipboard_set_can_store(gtkClipboard, targets.ptr, targets.length);
+		gtk_clipboard_set_can_store(gtkClipboard, targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
Index: src/gtk/EntryBuffer.d
===================================================================
--- src/gtk/EntryBuffer.d	(revision 797)
+++ src/gtk/EntryBuffer.d	(working copy)
@@ -185,7 +185,7 @@
 	public this (char[] initialChars)
 	{
 		// GtkEntryBuffer* gtk_entry_buffer_new (const gchar *initial_chars,  gint n_initial_chars);
-		auto p = gtk_entry_buffer_new(initialChars.ptr, initialChars.length);
+		auto p = gtk_entry_buffer_new(initialChars.ptr, cast(gint) initialChars.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by gtk_entry_buffer_new(initialChars.ptr, initialChars.length)");
@@ -218,7 +218,7 @@
 	public void setText(char[] chars)
 	{
 		// void gtk_entry_buffer_set_text (GtkEntryBuffer *buffer,  const gchar *chars,  gint n_chars);
-		gtk_entry_buffer_set_text(gtkEntryBuffer, chars.ptr, chars.length);
+		gtk_entry_buffer_set_text(gtkEntryBuffer, chars.ptr, cast(gint) chars.length);
 	}
 	
 	/**
@@ -289,7 +289,7 @@
 	public uint insertText(uint position, char[] chars)
 	{
 		// guint gtk_entry_buffer_insert_text (GtkEntryBuffer *buffer,  guint position,  const gchar *chars,  gint n_chars);
-		return gtk_entry_buffer_insert_text(gtkEntryBuffer, position, chars.ptr, chars.length);
+		return gtk_entry_buffer_insert_text(gtkEntryBuffer, position, chars.ptr, cast(gint) chars.length);
 	}
 	
 	/**
@@ -334,6 +334,6 @@
 	public void emitInsertedText(uint position, char[] chars)
 	{
 		// void gtk_entry_buffer_emit_inserted_text (GtkEntryBuffer *buffer,  guint position,  const gchar *chars,  guint n_chars);
-		gtk_entry_buffer_emit_inserted_text(gtkEntryBuffer, position, chars.ptr, chars.length);
+		gtk_entry_buffer_emit_inserted_text(gtkEntryBuffer, position, chars.ptr, cast(gint) chars.length);
 	}
 }
Index: src/gtk/Style.d
===================================================================
--- src/gtk/Style.d	(revision 797)
+++ src/gtk/Style.d	(working copy)
@@ -529,7 +529,7 @@
 	public void drawPolygon(Window window, GtkStateType stateType, GtkShadowType shadowType, GdkPoint[] points, int fill)
 	{
 		// void gtk_draw_polygon (GtkStyle *style,  GdkWindow *window,  GtkStateType state_type,  GtkShadowType shadow_type,  GdkPoint *points,  gint npoints,  gboolean fill);
-		gtk_draw_polygon(gtkStyle, (window is null) ? null : window.getWindowStruct(), stateType, shadowType, points.ptr, points.length, fill);
+		gtk_draw_polygon(gtkStyle, (window is null) ? null : window.getWindowStruct(), stateType, shadowType, points.ptr, cast(gint) points.length, fill);
 	}
 	
 	/**
Index: src/gtk/TreeModelFilter.d
===================================================================
--- src/gtk/TreeModelFilter.d	(revision 797)
+++ src/gtk/TreeModelFilter.d	(working copy)
@@ -237,7 +237,7 @@
 	public void setModifyFunc(GType[] types, GtkTreeModelFilterModifyFunc func, void* data, GDestroyNotify destroy)
 	{
 		// void gtk_tree_model_filter_set_modify_func  (GtkTreeModelFilter *filter,  gint n_columns,  GType *types,  GtkTreeModelFilterModifyFunc func,  gpointer data,  GDestroyNotify destroy);
-		gtk_tree_model_filter_set_modify_func(gtkTreeModelFilter, types.length, types.ptr, func, data, destroy);
+		gtk_tree_model_filter_set_modify_func(gtkTreeModelFilter, cast(gint) types.length, types.ptr, func, data, destroy);
 	}
 	
 	/**
Index: src/gtk/PrintSettings.d
===================================================================
--- src/gtk/PrintSettings.d	(revision 797)
+++ src/gtk/PrintSettings.d	(working copy)
@@ -841,7 +841,7 @@
 	public void setPageRanges(GtkPageRange[] pageRanges)
 	{
 		// void gtk_print_settings_set_page_ranges (GtkPrintSettings *settings,  GtkPageRange *page_ranges,  gint num_ranges);
-		gtk_print_settings_set_page_ranges(gtkPrintSettings, pageRanges.ptr, pageRanges.length);
+		gtk_print_settings_set_page_ranges(gtkPrintSettings, pageRanges.ptr, cast(gint) pageRanges.length);
 	}
 	
 	/**
Index: src/gtk/ActionGroup.d
===================================================================
--- src/gtk/ActionGroup.d	(revision 797)
+++ src/gtk/ActionGroup.d	(working copy)
@@ -487,7 +487,7 @@
 	public void addActions(GtkActionEntry[] entries, void* userData)
 	{
 		// void gtk_action_group_add_actions (GtkActionGroup *action_group,  const GtkActionEntry *entries,  guint n_entries,  gpointer user_data);
-		gtk_action_group_add_actions(gtkActionGroup, entries.ptr, entries.length, userData);
+		gtk_action_group_add_actions(gtkActionGroup, entries.ptr, cast(gint) entries.length, userData);
 	}
 	
 	/**
@@ -502,7 +502,7 @@
 	public void addActionsFull(GtkActionEntry[] entries, void* userData, GDestroyNotify destroy)
 	{
 		// void gtk_action_group_add_actions_full (GtkActionGroup *action_group,  const GtkActionEntry *entries,  guint n_entries,  gpointer user_data,  GDestroyNotify destroy);
-		gtk_action_group_add_actions_full(gtkActionGroup, entries.ptr, entries.length, userData, destroy);
+		gtk_action_group_add_actions_full(gtkActionGroup, entries.ptr, cast(gint) entries.length, userData, destroy);
 	}
 	
 	/**
@@ -519,7 +519,7 @@
 	public void addToggleActions(GtkToggleActionEntry[] entries, void* userData)
 	{
 		// void gtk_action_group_add_toggle_actions (GtkActionGroup *action_group,  const GtkToggleActionEntry *entries,  guint n_entries,  gpointer user_data);
-		gtk_action_group_add_toggle_actions(gtkActionGroup, entries.ptr, entries.length, userData);
+		gtk_action_group_add_toggle_actions(gtkActionGroup, entries.ptr, cast(gint) entries.length, userData);
 	}
 	
 	/**
@@ -534,7 +534,7 @@
 	public void addToggleActionsFull(GtkToggleActionEntry[] entries, void* userData, GDestroyNotify destroy)
 	{
 		// void gtk_action_group_add_toggle_actions_full  (GtkActionGroup *action_group,  const GtkToggleActionEntry *entries,  guint n_entries,  gpointer user_data,  GDestroyNotify destroy);
-		gtk_action_group_add_toggle_actions_full(gtkActionGroup, entries.ptr, entries.length, userData, destroy);
+		gtk_action_group_add_toggle_actions_full(gtkActionGroup, entries.ptr, cast(gint) entries.length, userData, destroy);
 	}
 	
 	/**
@@ -554,7 +554,7 @@
 	public void addRadioActions(GtkRadioActionEntry[] entries, int value, GCallback onChange, void* userData)
 	{
 		// void gtk_action_group_add_radio_actions (GtkActionGroup *action_group,  const GtkRadioActionEntry *entries,  guint n_entries,  gint value,  GCallback on_change,  gpointer user_data);
-		gtk_action_group_add_radio_actions(gtkActionGroup, entries.ptr, entries.length, value, onChange, userData);
+		gtk_action_group_add_radio_actions(gtkActionGroup, entries.ptr, cast(gint) entries.length, value, onChange, userData);
 	}
 	
 	/**
@@ -572,7 +572,7 @@
 	public void addRadioActionsFull(GtkRadioActionEntry[] entries, int value, GCallback onChange, void* userData, GDestroyNotify destroy)
 	{
 		// void gtk_action_group_add_radio_actions_full  (GtkActionGroup *action_group,  const GtkRadioActionEntry *entries,  guint n_entries,  gint value,  GCallback on_change,  gpointer user_data,  GDestroyNotify destroy);
-		gtk_action_group_add_radio_actions_full(gtkActionGroup, entries.ptr, entries.length, value, onChange, userData, destroy);
+		gtk_action_group_add_radio_actions_full(gtkActionGroup, entries.ptr, cast(gint) entries.length, value, onChange, userData, destroy);
 	}
 	
 	/**
Index: src/gtk/TextBuffer.d
===================================================================
--- src/gtk/TextBuffer.d	(revision 797)
+++ src/gtk/TextBuffer.d	(working copy)
@@ -180,7 +180,7 @@
 	public void setText(string text)
 	{
 		// void gtk_text_buffer_set_text (GtkTextBuffer *buffer,  const gchar *text,  gint len);
-		gtk_text_buffer_set_text(gtkTextBuffer, Str.toStringz(text), text.length);
+		gtk_text_buffer_set_text(gtkTextBuffer, Str.toStringz(text), cast(gint) text.length);
 	}
 	
 	/**
@@ -198,7 +198,7 @@
 	public void insert(TextIter iter, string text)
 	{
 		// void gtk_text_buffer_insert (GtkTextBuffer *buffer,  GtkTextIter *iter,  const gchar *text,  gint len);
-		gtk_text_buffer_insert(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), text.length);
+		gtk_text_buffer_insert(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), cast(gint) text.length);
 	}
 	
 	/**
@@ -210,7 +210,7 @@
 	public void insertAtCursor(string text)
 	{
 		// void gtk_text_buffer_insert_at_cursor  (GtkTextBuffer *buffer,  const gchar *text,  gint len);
-		gtk_text_buffer_insert_at_cursor(gtkTextBuffer, Str.toStringz(text), text.length);
+		gtk_text_buffer_insert_at_cursor(gtkTextBuffer, Str.toStringz(text), cast(gint) text.length);
 	}
 	
 	/**
@@ -231,7 +231,7 @@
 	public int insertInteractive(TextIter iter, string text, int defaultEditable)
 	{
 		// gboolean gtk_text_buffer_insert_interactive  (GtkTextBuffer *buffer,  GtkTextIter *iter,  const gchar *text,  gint len,  gboolean default_editable);
-		return gtk_text_buffer_insert_interactive(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), text.length, defaultEditable);
+		return gtk_text_buffer_insert_interactive(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), cast(gint) text.length, defaultEditable);
 	}
 	
 	/**
@@ -249,7 +249,7 @@
 	public int insertInteractiveAtCursor(string text, int defaultEditable)
 	{
 		// gboolean gtk_text_buffer_insert_interactive_at_cursor  (GtkTextBuffer *buffer,  const gchar *text,  gint len,  gboolean default_editable);
-		return gtk_text_buffer_insert_interactive_at_cursor(gtkTextBuffer, Str.toStringz(text), text.length, defaultEditable);
+		return gtk_text_buffer_insert_interactive_at_cursor(gtkTextBuffer, Str.toStringz(text), cast(gint) text.length, defaultEditable);
 	}
 	
 	/**
@@ -270,7 +270,7 @@
 		{
 			TextTag tag = va_arg!(TextTag)(_argptr);
 			// void gtk_text_buffer_insert_with_tags  (GtkTextBuffer *buffer,  GtkTextIter *iter,  const gchar *text,  gint len,  GtkTextTag *first_tag,  ...);
-			gtk_text_buffer_insert_with_tags(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), text.length, (tag is null) ? null : tag.getTextTagStruct(), null);
+			gtk_text_buffer_insert_with_tags(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), cast(gint) text.length, (tag is null) ? null : tag.getTextTagStruct(), null);
 		}
 	}
 	
@@ -289,7 +289,7 @@
 		{
 			string tagName = va_arg!(string)(_argptr);
 			// void gtk_text_buffer_insert_with_tags_by_name  (GtkTextBuffer *buffer,  GtkTextIter *iter,  const gchar *text,  gint len,  const gchar *first_tag_name,  ...);
-			gtk_text_buffer_insert_with_tags_by_name(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), text.length, Str.toStringz(tagName), null);
+			gtk_text_buffer_insert_with_tags_by_name(gtkTextBuffer, (iter is null) ? null : iter.getTextIterStruct(), Str.toStringz(text), cast(gint) text.length, Str.toStringz(tagName), null);
 		}
 	}
 	
@@ -1785,7 +1785,7 @@
 		// gboolean gtk_text_buffer_deserialize (GtkTextBuffer *register_buffer,  GtkTextBuffer *content_buffer,  GdkAtom format,  GtkTextIter *iter,  const guint8 *data,  gsize length,  GError **error);
 		GError* err = null;
 		
-		auto p = gtk_text_buffer_deserialize(gtkTextBuffer, (contentBuffer is null) ? null : contentBuffer.getTextBufferStruct(), format, (iter is null) ? null : iter.getTextIterStruct(), data.ptr, data.length, &err);
+		auto p = gtk_text_buffer_deserialize(gtkTextBuffer, (contentBuffer is null) ? null : contentBuffer.getTextBufferStruct(), format, (iter is null) ? null : iter.getTextIterStruct(), data.ptr, cast(gint) data.length, &err);
 		
 		if (err !is null)
 		{
Index: src/gtk/Signals.d
===================================================================
--- src/gtk/Signals.d	(revision 797)
+++ src/gtk/Signals.d	(working copy)
@@ -184,7 +184,7 @@
 	public static uint newv(string name, GtkSignalRunType signalFlags, GType objectType, uint functionOffset, GSignalCMarshaller marshaller, GType returnVal, GType[] args)
 	{
 		// guint gtk_signal_newv (const gchar *name,  GtkSignalRunType signal_flags,  GType object_type,  guint function_offset,  GSignalCMarshaller marshaller,  GType return_val,  guint n_args,  GType *args);
-		return gtk_signal_newv(Str.toStringz(name), signalFlags, objectType, functionOffset, marshaller, returnVal, args.length, args.ptr);
+		return gtk_signal_newv(Str.toStringz(name), signalFlags, objectType, functionOffset, marshaller, returnVal, cast(gint) args.length, args.ptr);
 	}
 	
 	/**
Index: src/gtk/TreeStore.d
===================================================================
--- src/gtk/TreeStore.d	(revision 797)
+++ src/gtk/TreeStore.d	(working copy)
@@ -336,7 +336,7 @@
 	public this (GType[] types)
 	{
 		// GtkTreeStore * gtk_tree_store_newv (gint n_columns,  GType *types);
-		auto p = gtk_tree_store_newv(types.length, types.ptr);
+		auto p = gtk_tree_store_newv(cast(gint) types.length, types.ptr);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by gtk_tree_store_newv(types.length, types.ptr)");
@@ -355,7 +355,7 @@
 	public void setColumnTypes(GType[] types)
 	{
 		// void gtk_tree_store_set_column_types (GtkTreeStore *tree_store,  gint n_columns,  GType *types);
-		gtk_tree_store_set_column_types(gtkTreeStore, types.length, types.ptr);
+		gtk_tree_store_set_column_types(gtkTreeStore, cast(gint) types.length, types.ptr);
 	}
 	
 	/**
@@ -400,7 +400,7 @@
 	public void setValuesv(TreeIter iter, int[] columns, GValue[] values)
 	{
 		// void gtk_tree_store_set_valuesv (GtkTreeStore *tree_store,  GtkTreeIter *iter,  gint *columns,  GValue *values,  gint n_values);
-		gtk_tree_store_set_valuesv(gtkTreeStore, (iter is null) ? null : iter.getTreeIterStruct(), columns.ptr, values.ptr, values.length);
+		gtk_tree_store_set_valuesv(gtkTreeStore, (iter is null) ? null : iter.getTreeIterStruct(), columns.ptr, values.ptr, cast(gint) values.length);
 	}
 	
 	/**
@@ -491,7 +491,7 @@
 	public void insertWithValuesv(TreeIter iter, TreeIter parent, int position, int[] columns, GValue[] values)
 	{
 		// void gtk_tree_store_insert_with_valuesv (GtkTreeStore *tree_store,  GtkTreeIter *iter,  GtkTreeIter *parent,  gint position,  gint *columns,  GValue *values,  gint n_values);
-		gtk_tree_store_insert_with_valuesv(gtkTreeStore, (iter is null) ? null : iter.getTreeIterStruct(), (parent is null) ? null : parent.getTreeIterStruct(), position, columns.ptr, values.ptr, values.length);
+		gtk_tree_store_insert_with_valuesv(gtkTreeStore, (iter is null) ? null : iter.getTreeIterStruct(), (parent is null) ? null : parent.getTreeIterStruct(), position, columns.ptr, values.ptr, cast(gint) values.length);
 	}
 	
 	/**
Index: src/gtk/Testing.d
===================================================================
--- src/gtk/Testing.d	(revision 797)
+++ src/gtk/Testing.d	(working copy)
@@ -88,7 +88,7 @@
 	{
 		// gboolean gtk_parse_args (int *argc,  char ***argv);
 		char** outargv = Str.toStringzArray(argv);
-		int argc = argv.length;
+		int argc = cast(gint) argv.length;
 		
 		gtk_test_init(&argc, &outargv, null);
 		
Index: src/gtk/TargetList.d
===================================================================
--- src/gtk/TargetList.d	(revision 797)
+++ src/gtk/TargetList.d	(working copy)
@@ -124,7 +124,7 @@
 	public this (GtkTargetEntry[] targets)
 	{
 		// GtkTargetList * gtk_target_list_new (const GtkTargetEntry *targets,  guint ntargets);
-		auto p = gtk_target_list_new(targets.ptr, targets.length);
+		auto p = gtk_target_list_new(targets.ptr, cast(gint) targets.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by gtk_target_list_new(targets.ptr, targets.length)");
@@ -178,7 +178,7 @@
 	public void addTable(GtkTargetEntry[] targets)
 	{
 		// void gtk_target_list_add_table (GtkTargetList *list,  const GtkTargetEntry *targets,  guint ntargets);
-		gtk_target_list_add_table(gtkTargetList, targets.ptr, targets.length);
+		gtk_target_list_add_table(gtkTargetList, targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
@@ -308,7 +308,7 @@
 	public static int gtkTargetsIncludeImage(GdkAtom[] targets, int writable)
 	{
 		// gboolean gtk_targets_include_image (GdkAtom *targets,  gint n_targets,  gboolean writable);
-		return gtk_targets_include_image(targets.ptr, targets.length, writable);
+		return gtk_targets_include_image(targets.ptr, cast(gint) targets.length, writable);
 	}
 	
 	/**
@@ -322,7 +322,7 @@
 	public static int gtkTargetsIncludeText(GdkAtom[] targets)
 	{
 		// gboolean gtk_targets_include_text (GdkAtom *targets,  gint n_targets);
-		return gtk_targets_include_text(targets.ptr, targets.length);
+		return gtk_targets_include_text(targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
@@ -336,7 +336,7 @@
 	public static int gtkTargetsIncludeUri(GdkAtom[] targets)
 	{
 		// gboolean gtk_targets_include_uri (GdkAtom *targets,  gint n_targets);
-		return gtk_targets_include_uri(targets.ptr, targets.length);
+		return gtk_targets_include_uri(targets.ptr, cast(gint) targets.length);
 	}
 	
 	/**
@@ -351,6 +351,6 @@
 	public static int gtkTargetsIncludeRichText(GdkAtom[] targets, TextBuffer buffer)
 	{
 		// gboolean gtk_targets_include_rich_text (GdkAtom *targets,  gint n_targets,  GtkTextBuffer *buffer);
-		return gtk_targets_include_rich_text(targets.ptr, targets.length, (buffer is null) ? null : buffer.getTextBufferStruct());
+		return gtk_targets_include_rich_text(targets.ptr, cast(gint) targets.length, (buffer is null) ? null : buffer.getTextBufferStruct());
 	}
 }
Index: src/gtk/ListStore.d
===================================================================
--- src/gtk/ListStore.d	(revision 797)
+++ src/gtk/ListStore.d	(working copy)
@@ -405,7 +405,7 @@
 	public this (GType[] types)
 	{
 		// GtkListStore * gtk_list_store_newv (gint n_columns,  GType *types);
-		auto p = gtk_list_store_newv(types.length, types.ptr);
+		auto p = gtk_list_store_newv(cast(gint) types.length, types.ptr);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by gtk_list_store_newv(types.length, types.ptr)");
@@ -424,7 +424,7 @@
 	public void setColumnTypes(GType[] types)
 	{
 		// void gtk_list_store_set_column_types (GtkListStore *list_store,  gint n_columns,  GType *types);
-		gtk_list_store_set_column_types(gtkListStore, types.length, types.ptr);
+		gtk_list_store_set_column_types(gtkListStore, cast(gint) types.length, types.ptr);
 	}
 	
 	/**
@@ -470,7 +470,7 @@
 	public void setValuesv(TreeIter iter, int[] columns, GValue[] values)
 	{
 		// void gtk_list_store_set_valuesv (GtkListStore *list_store,  GtkTreeIter *iter,  gint *columns,  GValue *values,  gint n_values);
-		gtk_list_store_set_valuesv(gtkListStore, (iter is null) ? null : iter.getTreeIterStruct(), columns.ptr, values.ptr, values.length);
+		gtk_list_store_set_valuesv(gtkListStore, (iter is null) ? null : iter.getTreeIterStruct(), columns.ptr, values.ptr, cast(gint) values.length);
 	}
 	
 	/**
@@ -548,7 +548,7 @@
 	public void insertWithValuesv(TreeIter iter, int position, int[] columns, GValue[] values)
 	{
 		// void gtk_list_store_insert_with_valuesv (GtkListStore *list_store,  GtkTreeIter *iter,  gint position,  gint *columns,  GValue *values,  gint n_values);
-		gtk_list_store_insert_with_valuesv(gtkListStore, (iter is null) ? null : iter.getTreeIterStruct(), position, columns.ptr, values.ptr, values.length);
+		gtk_list_store_insert_with_valuesv(gtkListStore, (iter is null) ? null : iter.getTreeIterStruct(), position, columns.ptr, values.ptr, cast(gint) values.length);
 	}
 	
 	/**
Index: src/gtk/Dialog.d
===================================================================
--- src/gtk/Dialog.d	(revision 797)
+++ src/gtk/Dialog.d	(working copy)
@@ -596,6 +596,6 @@
 	public void setAlternativeButtonOrderFromArray(int[] newOrder)
 	{
 		// void gtk_dialog_set_alternative_button_order_from_array  (GtkDialog *dialog,  gint n_params,  gint *new_order);
-		gtk_dialog_set_alternative_button_order_from_array(gtkDialog, newOrder.length, newOrder.ptr);
+		gtk_dialog_set_alternative_button_order_from_array(gtkDialog, cast(gint) newOrder.length, newOrder.ptr);
 	}
 }
Index: src/gtk/TreeView.d
===================================================================
--- src/gtk/TreeView.d	(revision 797)
+++ src/gtk/TreeView.d	(working copy)
@@ -1731,7 +1731,7 @@
 	public void enableModelDragDest(GtkTargetEntry[] targets, GdkDragAction actions)
 	{
 		// void gtk_tree_view_enable_model_drag_dest  (GtkTreeView *tree_view,  const GtkTargetEntry *targets,  gint n_targets,  GdkDragAction actions);
-		gtk_tree_view_enable_model_drag_dest(gtkTreeView, targets.ptr, targets.length, actions);
+		gtk_tree_view_enable_model_drag_dest(gtkTreeView, targets.ptr, cast(gint) targets.length, actions);
 	}
 	
 	/**
@@ -1746,7 +1746,7 @@
 	public void enableModelDragSource(GdkModifierType startButtonMask, GtkTargetEntry[] targets, GdkDragAction actions)
 	{
 		// void gtk_tree_view_enable_model_drag_source  (GtkTreeView *tree_view,  GdkModifierType start_button_mask,  const GtkTargetEntry *targets,  gint n_targets,  GdkDragAction actions);
-		gtk_tree_view_enable_model_drag_source(gtkTreeView, startButtonMask, targets.ptr, targets.length, actions);
+		gtk_tree_view_enable_model_drag_source(gtkTreeView, startButtonMask, targets.ptr, cast(gint) targets.length, actions);
 	}
 	
 	/**
Index: src/cairo/Context.d
===================================================================
--- src/cairo/Context.d	(revision 797)
+++ src/cairo/Context.d	(working copy)
@@ -679,7 +679,7 @@
 	public void setDash(double[] dashes, double offset)
 	{
 		// void cairo_set_dash (cairo_t *cr,  const double *dashes,  int num_dashes,  double offset);
-		cairo_set_dash(cairo, dashes.ptr, dashes.length, offset);
+		cairo_set_dash(cairo, dashes.ptr, cast(gint) dashes.length, offset);
 	}
 	
 	/**
@@ -2087,7 +2087,7 @@
 	public void showGlyphs(cairo_glyph_t[] glyphs)
 	{
 		// void cairo_show_glyphs (cairo_t *cr,  const cairo_glyph_t *glyphs,  int num_glyphs);
-		cairo_show_glyphs(cairo, glyphs.ptr, glyphs.length);
+		cairo_show_glyphs(cairo, glyphs.ptr, cast(gint) glyphs.length);
 	}
 	
 	/**
@@ -2119,7 +2119,7 @@
 	public void showTextGlyphs(string utf8, int utf8_Len, cairo_glyph_t[] glyphs, cairo_text_cluster_t[] clusters, cairo_text_cluster_flags_t clusterFlags)
 	{
 		// void cairo_show_text_glyphs (cairo_t *cr,  const char *utf8,  int utf8_len,  const cairo_glyph_t *glyphs,  int num_glyphs,  const cairo_text_cluster_t *clusters,  int num_clusters,  cairo_text_cluster_flags_t cluster_flags);
-		cairo_show_text_glyphs(cairo, Str.toStringz(utf8), utf8_Len, glyphs.ptr, glyphs.length, clusters.ptr, clusters.length, clusterFlags);
+		cairo_show_text_glyphs(cairo, Str.toStringz(utf8), utf8_Len, glyphs.ptr, cast(gint) glyphs.length, clusters.ptr, cast(gint) clusters.length, clusterFlags);
 	}
 	
 	/**
@@ -2174,7 +2174,7 @@
 	public void glyphExtents(cairo_glyph_t[] glyphs, cairo_text_extents_t* extents)
 	{
 		// void cairo_glyph_extents (cairo_t *cr,  const cairo_glyph_t *glyphs,  int num_glyphs,  cairo_text_extents_t *extents);
-		cairo_glyph_extents(cairo, glyphs.ptr, glyphs.length, extents);
+		cairo_glyph_extents(cairo, glyphs.ptr, cast(gint) glyphs.length, extents);
 	}
 	
 	/**
Index: src/glib/ByteArray.d
===================================================================
--- src/glib/ByteArray.d	(revision 797)
+++ src/glib/ByteArray.d	(working copy)
@@ -195,7 +195,7 @@
 	public ByteArray append(ubyte[] data)
 	{
 		// GByteArray* g_byte_array_append (GByteArray *array,  const guint8 *data,  guint len);
-		auto p = g_byte_array_append(gByteArray, data.ptr, data.length);
+		auto p = g_byte_array_append(gByteArray, data.ptr, cast(gint) data.length);
 		if(p is null)
 		{
 			return null;
@@ -213,7 +213,7 @@
 	public ByteArray prepend(ubyte[] data)
 	{
 		// GByteArray* g_byte_array_prepend (GByteArray *array,  const guint8 *data,  guint len);
-		auto p = g_byte_array_prepend(gByteArray, data.ptr, data.length);
+		auto p = g_byte_array_prepend(gByteArray, data.ptr, cast(gint) data.length);
 		if(p is null)
 		{
 			return null;
Index: src/glib/MainLoop.d
===================================================================
--- src/glib/MainLoop.d	(revision 797)
+++ src/glib/MainLoop.d	(working copy)
@@ -324,6 +324,6 @@
 	public static int poll(GPollFD[] fds, int timeout)
 	{
 		// gint g_poll (GPollFD *fds,  guint nfds,  gint timeout);
-		return g_poll(fds.ptr, fds.length, timeout);
+		return g_poll(fds.ptr, cast(gint) fds.length, timeout);
 	}
 }
Index: src/glib/Spawn.d
===================================================================
--- src/glib/Spawn.d	(revision 797)
+++ src/glib/Spawn.d	(working copy)
@@ -322,7 +322,7 @@
 		{
 			return "";
 		}
-		int l = strlen(line.ptr);
+		int l = cast(int) strlen(line.ptr);
 		if ( l > 0 ) --l;
 		//printf("\nreadLine\n");
 		//foreach ( char c ; line )
Index: src/glib/VariantType.d
===================================================================
--- src/glib/VariantType.d	(revision 797)
+++ src/glib/VariantType.d	(working copy)
@@ -624,7 +624,7 @@
 			itemsArray[i] = items[i].getVariantTypeStruct();
 		}
 		
-		auto p = g_variant_type_new_tuple(itemsArray.ptr, items.length);
+		auto p = g_variant_type_new_tuple(itemsArray.ptr, cast(gint) items.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_variant_type_new_tuple(itemsArray.ptr, items.length)");
Index: src/glib/Variant.d
===================================================================
--- src/glib/Variant.d	(revision 797)
+++ src/glib/Variant.d	(working copy)
@@ -726,7 +726,7 @@
 	public this (string[] strv)
 	{
 		// GVariant * g_variant_new_strv (const gchar * const *strv,  gssize length);
-		auto p = g_variant_new_strv(Str.toStringzArray(strv), strv.length);
+		auto p = g_variant_new_strv(Str.toStringzArray(strv), cast(gint) strv.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_variant_new_strv(Str.toStringzArray(strv), strv.length)");
@@ -1007,7 +1007,7 @@
 			childrenArray[i] = children[i].getVariantStruct();
 		}
 		
-		auto p = g_variant_new_array((childType is null) ? null : childType.getVariantTypeStruct(), childrenArray.ptr, children.length);
+		auto p = g_variant_new_array((childType is null) ? null : childType.getVariantTypeStruct(), childrenArray.ptr, cast(gint) children.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_variant_new_array((childType is null) ? null : childType.getVariantTypeStruct(), childrenArray.ptr, children.length)");
@@ -1035,7 +1035,7 @@
 			childrenArray[i] = children[i].getVariantStruct();
 		}
 		
-		auto p = g_variant_new_tuple(childrenArray.ptr, children.length);
+		auto p = g_variant_new_tuple(childrenArray.ptr, cast(gint) children.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_variant_new_tuple(childrenArray.ptr, children.length)");
Index: src/glib/RandG.d
===================================================================
--- src/glib/RandG.d	(revision 797)
+++ src/glib/RandG.d	(working copy)
@@ -162,7 +162,7 @@
 	public this (uint[] seed)
 	{
 		// GRand* g_rand_new_with_seed_array (const guint32 *seed,  guint seed_length);
-		auto p = g_rand_new_with_seed_array(seed.ptr, seed.length);
+		auto p = g_rand_new_with_seed_array(seed.ptr, cast(gint) seed.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_rand_new_with_seed_array(seed.ptr, seed.length)");
@@ -238,7 +238,7 @@
 	public void setSeedArray(uint[] seed)
 	{
 		// void g_rand_set_seed_array (GRand *rand_,  const guint32 *seed,  guint seed_length);
-		g_rand_set_seed_array(gRand, seed.ptr, seed.length);
+		g_rand_set_seed_array(gRand, seed.ptr, cast(gint) seed.length);
 	}
 	
 	/**
Index: src/gobject/ObjectG.d
===================================================================
--- src/gobject/ObjectG.d	(revision 797)
+++ src/gobject/ObjectG.d	(working copy)
@@ -481,7 +481,7 @@
 	public this (GType objectType, GParameter[] parameters)
 	{
 		// gpointer g_object_newv (GType object_type,  guint n_parameters,  GParameter *parameters);
-		auto p = g_object_newv(objectType, parameters.length, parameters.ptr);
+		auto p = g_object_newv(objectType, cast(gint) parameters.length, parameters.ptr);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_object_newv(objectType, parameters.length, parameters.ptr)");
Index: src/gobject/Signals.d
===================================================================
--- src/gobject/Signals.d	(revision 797)
+++ src/gobject/Signals.d	(working copy)
@@ -151,7 +151,7 @@
 	public static uint newv(string signalName, GType itype, GSignalFlags signalFlags, Closure classClosure, GSignalAccumulator accumulator, void* accuData, GSignalCMarshaller cMarshaller, GType returnType, GType[] paramTypes)
 	{
 		// guint g_signal_newv (const gchar *signal_name,  GType itype,  GSignalFlags signal_flags,  GClosure *class_closure,  GSignalAccumulator accumulator,  gpointer accu_data,  GSignalCMarshaller c_marshaller,  GType return_type,  guint n_params,  GType *param_types);
-		return g_signal_newv(Str.toStringz(signalName), itype, signalFlags, (classClosure is null) ? null : classClosure.getClosureStruct(), accumulator, accuData, cMarshaller, returnType, paramTypes.length, paramTypes.ptr);
+		return g_signal_newv(Str.toStringz(signalName), itype, signalFlags, (classClosure is null) ? null : classClosure.getClosureStruct(), accumulator, accuData, cMarshaller, returnType, cast(gint) paramTypes.length, paramTypes.ptr);
 	}
 	
 	/**
Index: src/gio/ConverterT.d
===================================================================
--- src/gio/ConverterT.d	(revision 797)
+++ src/gio/ConverterT.d	(working copy)
@@ -132,7 +132,7 @@
 		// GConverterResult g_converter_convert (GConverter *converter,  const void *inbuf,  gsize inbuf_size,  void *outbuf,  gsize outbuf_size,  GConverterFlags flags,  gsize *bytes_read,  gsize *bytes_written,  GError **error);
 		GError* err = null;
 		
-		auto p = g_converter_convert(getConverterTStruct(), inbuf.ptr, inbuf.length, outbuf.ptr, outbuf.length, flags, &bytesRead, &bytesWritten, &err);
+		auto p = g_converter_convert(getConverterTStruct(), inbuf.ptr, cast(gint) inbuf.length, outbuf.ptr, cast(gint) outbuf.length, flags, &bytesRead, &bytesWritten, &err);
 		
 		if (err !is null)
 		{
Index: src/gio/InitableT.d
===================================================================
--- src/gio/InitableT.d	(revision 797)
+++ src/gio/InitableT.d	(working copy)
@@ -196,7 +196,7 @@
 		// gpointer g_initable_newv (GType object_type,  guint n_parameters,  GParameter *parameters,  GCancellable *cancellable,  GError **error);
 		GError* err = null;
 		
-		auto p = g_initable_newv(objectType, parameters.length, parameters.ptr, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
+		auto p = g_initable_newv(objectType, cast(gint) parameters.length, parameters.ptr, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
 		
 		if (err !is null)
 		{
Index: src/gio/Socket.d
===================================================================
--- src/gio/Socket.d	(revision 797)
+++ src/gio/Socket.d	(working copy)
@@ -463,7 +463,7 @@
 		GSocketAddress* outaddress = (address is null) ? null : address.getSocketAddressStruct();
 		GError* err = null;
 		
-		auto p = g_socket_receive_from(gSocket, &outaddress, buffer.ptr, buffer.length, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
+		auto p = g_socket_receive_from(gSocket, &outaddress, buffer.ptr, cast(gint) buffer.length, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
 		
 		if (err !is null)
 		{
@@ -543,10 +543,10 @@
 		}
 		
 		GSocketControlMessage** outmessages = inoutmessages.ptr;
-		int numMessages = messages.length;
+		int numMessages = cast(int) messages.length;
 		GError* err = null;
 		
-		auto p = g_socket_receive_message(gSocket, &outaddress, vectors.ptr, vectors.length, &outmessages, &numMessages, &flags, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
+		auto p = g_socket_receive_message(gSocket, &outaddress, vectors.ptr, cast(gint) vectors.length, &outmessages, &numMessages, &flags, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
 		
 		if (err !is null)
 		{
@@ -675,10 +675,10 @@
 	{
 		// gssize g_socket_send_message (GSocket *socket,  GSocketAddress *address,  GOutputVector *vectors,  gint num_vectors,  GSocketControlMessage **messages,  gint num_messages,  gint flags,  GCancellable *cancellable,  GError **error);
 		GSocketControlMessage* outmessages = messages.ptr;
-		int numMessages = messages.length;
+		int numMessages = cast(int) messages.length;
 		GError* err = null;
 		
-		auto p = g_socket_send_message(gSocket, (address is null) ? null : address.getSocketAddressStruct(), vectors.ptr, vectors.length, &outmessages, numMessages, flags, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
+		auto p = g_socket_send_message(gSocket, (address is null) ? null : address.getSocketAddressStruct(), vectors.ptr, cast(gint) vectors.length, &outmessages, numMessages, flags, (cancellable is null) ? null : cancellable.getCancellableStruct(), &err);
 		
 		if (err !is null)
 		{
Index: src/gio/ContentType.d
===================================================================
--- src/gio/ContentType.d	(revision 797)
+++ src/gio/ContentType.d	(working copy)
@@ -207,7 +207,7 @@
 	public static string guess(string filename, char[] data, out int resultUncertain)
 	{
 		// char * g_content_type_guess (const char *filename,  const guchar *data,  gsize data_size,  gboolean *result_uncertain);
-		return Str.toString(g_content_type_guess(Str.toStringz(filename), data.ptr, data.length, &resultUncertain));
+		return Str.toString(g_content_type_guess(Str.toStringz(filename), data.ptr, cast(gint) data.length, &resultUncertain));
 	}
 	
 	/**
Index: src/gio/UnixFDList.d
===================================================================
--- src/gio/UnixFDList.d	(revision 797)
+++ src/gio/UnixFDList.d	(working copy)
@@ -131,7 +131,7 @@
 	public this (int[] fds)
 	{
 		// GUnixFDList * g_unix_fd_list_new_from_array (const gint *fds,  gint n_fds);
-		auto p = g_unix_fd_list_new_from_array(fds.ptr, fds.length);
+		auto p = g_unix_fd_list_new_from_array(fds.ptr, cast(gint) fds.length);
 		if(p is null)
 		{
 			throw new ConstructionException("null returned by g_unix_fd_list_new_from_array(fds.ptr, fds.length)");
Index: GNUmakefile
===================================================================
--- GNUmakefile	(revision 797)
+++ GNUmakefile	(working copy)
@@ -19,7 +19,7 @@
 endif
 
 ifeq ("$(DC)","dmd")
-    DCFLAGS=-O
+    DCFLAGS=-O 
     output=-of$@
 else ifeq ("$(DC)","ldc")
     DCFLAGS=-O
Index: demos/dsss.conf
===================================================================
--- demos/dsss.conf	(revision 797)
+++ demos/dsss.conf	(working copy)
@@ -6,30 +6,31 @@
 
 requires = gtkd
 
-[cairo]
-type = subdir
+#[cairo]
+#type = subdir
 
-[gtk]
-type = subdir
+#[gtk]
+#type = subdir
 
-[gtkD]
-type = subdir
+#[gtkD]
+#type = subdir
 
-[pango]
-type = subdir
+#[pango]
+#type = subdir
 
-[glade]
-type = subdir
+#[glade]
+#type = subdir
 
-[gl]
-type = subdir
+#[gl]
+#type = subdir
 
-[sourceView]
-type = subdir
-
-[gda]
+#[sourceView]
 #type = subdir
 
+#[gda]
+##type = subdir
+
 #Please note that the gstreamer demos require Tango
-[gstreamer]
-type = subdir
\ No newline at end of file
+
+#[gstreamer]
+#type = subdir
\ No newline at end of file
Index: demos/gtkD/TestWindow/TestWindow.d
===================================================================
--- demos/gtkD/TestWindow/TestWindow.d	(revision 797)
+++ demos/gtkD/TestWindow/TestWindow.d	(working copy)
@@ -937,7 +937,7 @@
 			while(1)
 			{
 				version(Tango) int buttonNum = Kiss.instance.natural(threadTestButtons.length);
-				else version(D_Version2) int buttonNum = uniform(0, threadTestButtons.length);
+				else version(D_Version2) int buttonNum = uniform(0, cast(int) threadTestButtons.length);
 				else int buttonNum = rand()%threadTestButtons.length;
 				Button button = threadTestButtons[buttonNum];
 
